/[gentoo-x86]/sys-kernel/hardened-sources/hardened-sources-3.2.11.ebuild
Gentoo

Diff of /sys-kernel/hardened-sources/hardened-sources-3.2.11.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.2 Revision 1.3
1# Copyright 1999-2012 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/Attic/hardened-sources-3.2.11.ebuild,v 1.2 2012/04/19 22:13:17 blueness Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/Attic/hardened-sources-3.2.11.ebuild,v 1.3 2012/07/08 13:09:49 blueness Exp $
4 4
5EAPI="4" 5EAPI="4"
6 6
7ETYPE="sources" 7ETYPE="sources"
8K_WANT_GENPATCHES="base extras" 8K_WANT_GENPATCHES="base extras"
29RDEPEND=">=sys-devel/gcc-4.5" 29RDEPEND=">=sys-devel/gcc-4.5"
30 30
31pkg_postinst() { 31pkg_postinst() {
32 kernel-2_pkg_postinst 32 kernel-2_pkg_postinst
33 33
34 local GRADM_COMPAT="sys-apps/gradm-2.9" 34 local GRADM_COMPAT="sys-apps/gradm-2.9.0*"
35 35
36 ewarn 36 ewarn
37 ewarn "Hardened Gentoo provides three different predefined grsecurity level:" 37 ewarn "Hardened Gentoo provides three different predefined grsecurity level:"
38 ewarn "[server], [workstation], and [virtualization]. Those who intend to" 38 ewarn "[server], [workstation], and [virtualization]. Those who intend to"
39 ewarn "use one of these predefined grsecurity levels should read the help" 39 ewarn "use one of these predefined grsecurity levels should read the help"
44 ewarn "Users of grsecurity's RBAC system must ensure they are using" 44 ewarn "Users of grsecurity's RBAC system must ensure they are using"
45 ewarn "${GRADM_COMPAT}, which is compatible with ${PF}." 45 ewarn "${GRADM_COMPAT}, which is compatible with ${PF}."
46 ewarn "It is strongly recommended that the following command is issued" 46 ewarn "It is strongly recommended that the following command is issued"
47 ewarn "prior to booting a ${PF} kernel for the first time:" 47 ewarn "prior to booting a ${PF} kernel for the first time:"
48 ewarn 48 ewarn
49 ewarn "emerge -na =${GRADM_COMPAT}*" 49 ewarn "emerge -na =${GRADM_COMPAT}"
50 ewarn 50 ewarn
51} 51}

Legend:
Removed from v.1.2  
changed lines
  Added in v.1.3

  ViewVC Help
Powered by ViewVC 1.1.20